
## Appendix Notes

### Packaged Assets

When DMS3 is initialized, a list of assets are added to the DMS3 UnixFS.

The list of assets include:

Default stopwords
: This file is used by the search engine indexer. It is referenced from the params file generated when creating a new index container. the params file assumes this file exists at a well known path and file name in the dms3 repo index root (by default: ~/.dms3/index/stopwords)

Kind of Content schema
: Metadata defining document field structure and semantics. The definitions are used to create index containers hosting documents of a certain kind.

### Kind of Content Schema

The index config file is initialized with document kind metadata from the pre-packaged asset list. The asset list kind schema is a subset sourced from a working group focused on defining schema standards: [schema.org](https://schema.org/).

As a privacy concerned solution, the DMS3 subset excludes elements of schema typically used for tracking and targeted advertising, or that they are intended for features outside the scope of DMS3.

#### [Blog](https://schema.org/Blog "Schema Org. Blog") metadata fields

- About
  - The subject matter of the content
- Author
  - [Person](#Person) author of this content
- Citation
  - Reference to another article
- Headline
  - Headline of the article
- Language
  - one of the [standard language codes](https://tools.ietf.org/html/bcp47 "IETF BCP 47 standard")
- Keywords
  - Keywords or tags used to describe this content
- Version
  - Version of the schema used
- Description property from [Thing](https://schema.org/thing "Schema Org. Thing")
  - A description of the content

#### [Person](https://schema.org/person "Schema Org. Person") metadata fields

- Address
  - Physical address of the person.
- Affiliation
  - Organization that this person is affiliated with
- Brand
  - The brand(s) maintained by person.
- Email
  - Email address.
- Telephone
  - The telephone number.
- Name property from [Thing](https://schema.org/thing "Schema Org. Thing")
  - The name of the person.
